Bug 7584 - Update cart and lists buttons style using CSS3 features
Summary: Update cart and lists buttons style using CSS3 features
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-22 19:14 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7584 - Update cart and lists buttons style using CSS3 features (11.51 KB, patch)
2012-02-23 17:09 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7584 - Update cart and lists buttons style using CSS3 features (11.65 KB, patch)
2012-02-28 19:08 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-02-22 19:14:22 UTC
Now that CSS3 is more mainstream it is more broadly compatible to use rounded corners and gradient backgrounds for the cart and lists buttons. This may exclude some older browsers from the best experience but it will make customizations much simpler.
Comment 1 Owen Leonard 2012-02-23 17:09:06 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-02-23 19:15:01 UTC
Add Internet Explorer 7 on Windows XP to the tested list (no rounded corners or background images)
Comment 3 Nicole C. Engard 2012-02-28 19:08:29 UTC
Created attachment 7933 [details] [review]
[SIGNED-OFF] Bug 7584 - Update cart and lists buttons style using CSS3 features

Replacing styling of cart and lists buttons with CSS3 features:
border-radius, background-gradient, multiple backgrounds. While
the CSS is a little more complicated, the markup is much simpler
which should make customization simpler.

Browsers tested:

Firefox 10 on Windows 7
Chrome 17 on Windows 7
Opera 11 on Windows 7
Internet Explorer 8 on Windows 7 (no rounded corners or background images)

Firefox 9 on Ubuntu 11.10
Chrome 16 on Ubuntu 11.10
Opera 11 on Ubuntu 11.10

Internet Explorer 6 on Windows XP (looks acceptably bad)

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Also tested in:

Safari on Mac OS X
Firefox 10 on Mac OS X
Chrome on Mac OS X

All the above tests passed
Comment 4 Ian Walls 2012-03-01 19:58:48 UTC
CSS only change to use much more maintainable code than previous.  Marking as Passed QA.